Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class Expando

Represents a dynamically expandable bean.

author:
  James Strachan

author:
  Hein Meling

author:
  Pilho Kim

version:
  $Revision: 8004 $

Field Summary
`Map` | `expandoProperties`

Constructor Summary
`Expando()`
`Expando(Map expandoProperties)`

Method Summary
`Map` | `createMap()` Factory method to create a new Map used to store the expando properties map
`boolean` | `equals(Object obj)` This allows equals to be overridden by a closure field method attached to the expando object.
`List` | `getMetaPropertyValues()`
`Map` | `getProperties()`
`Object` | `getProperty(String property)`
`int` | `hashCode()` This allows hashCode to be overridden by a closure field method attached to the expando object.
`Object` | `invokeMethod(String name, Object args)`
`void` | `setProperty(String property, Object newValue)`
`String` | `toString()` This allows toString to be overridden by a closure field method attached to the expando object.

Constructor Detail

### Expando

    public Expando()

### Expando

    public Expando(Map expandoProperties)

Method Detail

### createMap

    Map createMap()

  Factory method to create a new Map used to store the expando properties map
  return:
    a newly created Map implementation

### equals

    public boolean equals(Object obj)

  This allows equals to be overridden by a closure field method attached to the expando object.
  see:
    Object#equals

### getMetaPropertyValues

    public List getMetaPropertyValues()

### getProperties

    public Map getProperties()

  return:
    the dynamically expanded properties

### getProperty

    public Object getProperty(String property)

### hashCode

    public int hashCode()

  This allows hashCode to be overridden by a closure field method attached to the expando object.
  see:
    Object#hashCode

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setProperty

    public void setProperty(String property, Object newValue)

### toString

    public String toString()

  This allows toString to be overridden by a closure field method attached to the expando object.
  see:
    Object#toString